/* Variables & Defaults */
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
}

/* Brand colors */
/* Fonts */
/* Mixins */
/* region Common */
[v-cloak] {
  display: none;
}

html, body {
  height: 100%;
}

body {
  font-family: "futura-pt", sans-serif;
  font-size: 18px;
}

.relative {
  position: relative;
  height: 100%;
  width: 100%;
}

.fixed-background {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  height: 100%;
  width: 100%;
  margin: 0;
  color: #fff;
}

.not-found {
  background: url(/img/Desert.jpg) center center no-repeat;
  background-size: cover;
}
.not-found .content {
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  width: 300px;
  max-width: 100%;
  margin: 0 auto;
  text-align: center;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  transform: translateY(-50%);
}
.not-found .content a {
  display: inline-block;
  margin: 0 10px;
  color: #fff;
  border-bottom: 1px solid transparent;
}
.not-found .content a:hover {
  border-color: #fff;
}

#app {
  position: relative;
}

a {
  outline: none;
  text-decoration: none;
}

.site-container {
  width: 1200px;
  max-width: 95%;
  margin: 35px auto;
  padding-bottom: 40px;
}

footer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  text-align: center;
}

.copyright {
  font-size: 15px;
  margin-top: 25px;
  text-align: center;
}

/* endregion */
/* region Home */
#home {
  padding: 50px;
  background: url(/img/Finally.jpg) center center no-repeat;
  background-size: cover;
}
#home #enter {
  display: inline-block;
  position: absolute;
  left: 0;
  right: 0;
  top: 80%;
  width: 97px;
  margin: 0 auto;
  padding: 8px 15px;
  border: 2px solid #fff;
  border-radius: 0;
  outline: none;
  font-size: 18px;
  letter-spacing: 3px;
  background-color: transparent;
  color: #fff;
  cursor: pointer;
  transition: background-color 0.3s ease-out;
  z-index: 2;
}
#home #enter:hover {
  background-color: rgba(255, 255, 255, 0.2);
}
#home #enter:active {
  background-color: rgba(255, 255, 255, 0.5);
}
#home #fade-overlay {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.2);
  z-index: 1;
}
#home:before, #home:after {
  content: "";
  position: fixed;
  height: 50px;
  width: 75px;
  animation: animateOpacity 1s linear;
  z-index: 3;
}
#home:before {
  top: 50px;
  right: 50px;
  border-right: 2px solid #fff;
  border-top: 2px solid #fff;
}
#home:after {
  bottom: 50px;
  left: 50px;
  border-bottom: 2px solid #fff;
  border-left: 2px solid #fff;
}

/* endregion */
/* region Header */
header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 40px;
}
header #small-logo {
  width: 295px;
  vertical-align: middle;
}
header #navigation {
  font-size: 14px;
  text-transform: uppercase;
}
header #navigation a {
  position: relative;
  margin: 0 10px;
  color: #a0a0a0;
}
header #navigation a:hover, header #navigation a.router-link-exact-active {
  color: #060606;
}

/* endregion */
/* region My Work */
#portfolio .images-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
#portfolio .images-wrapper a {
  position: relative;
  display: block;
  width: 32%;
  margin-bottom: 2%;
}
#portfolio .images-wrapper h4 {
  display: table;
  position: absolute;
  bottom: 55px;
  left: 0;
  margin: 0;
  padding-right: 2px;
  opacity: 0;
  font-size: 28px;
  font-weight: 300;
  text-align: center;
  text-transform: uppercase;
  background: #fff;
  color: #2b2b2b;
  z-index: 6;
  -webkit-transition: opacity 0.25s ease-in;
  -moz-transition: opacity 0.25s ease-in;
  transition: opacity 0.25s ease-in;
}
#portfolio .image-wrapper {
  position: relative;
  width: 100%;
  padding-bottom: 100%;
  overflow: hidden;
  animation: animateOpacity 0.25s ease-in;
}
#portfolio .image-wrapper .img {
  display: block;
  position: absolute;
  height: 100%;
  width: 100%;
  background-position: center center !important;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  pointer-events: none;
  user-select: none;
  -webkit-transition: -webkit-transform 0.35s ease-out;
  -moz-transition: -moz-transform 0.35s ease-out;
  transition: transform 0.35s ease-out;
}
#portfolio .image-wrapper:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  padding-bottom: 100%;
  z-index: 5;
  -webkit-transition: background 0.35s ease-out;
  -moz-transition: background 0.35s ease-out;
  transition: background 0.35s ease-out;
}
#portfolio .image-wrapper:hover:after {
  background: rgba(0, 0, 0, 0.3);
}
#portfolio .image-wrapper:hover h4 {
  opacity: 1;
}
#portfolio .image-wrapper:hover .img {
  transform: scale(1.05);
}

/* endregion */
/* region Album */
#album .image-wrapper {
  width: 31%;
  margin-bottom: 3%;
  padding-bottom: 31%;
}
#album .grid {
  display: grid;
  grid-gap: 8px;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-rows: 150px;
  grid-auto-flow: row dense;
  padding-bottom: 55px;
}
#album .item {
  position: relative;
  grid-column-start: auto;
  grid-row-start: auto;
  overflow: hidden;
  box-shadow: -2px 2px 10px 0px rgba(68, 68, 68, 0.4);
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
  counter-increment: item-counter;
}
#album .item img {
  width: 100%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
#album .item:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease-in-out;
}
#album .item:hover {
  transform: scale(1.01);
}
#album .item.medium {
  grid-row-end: span 2;
}
#album .item.large {
  grid-row-end: span 3;
}
#album .item.full {
  grid-column-end: auto;
}
@media screen and (min-width: 768px) {
  #album .item.full {
    grid-column: 1/-1;
    grid-row-end: span 2;
  }
}
#album .item.lnd img {
  height: 100%;
  width: auto;
}
#album img {
  user-select: none;
  pointer-events: none;
}
#album .back-link {
  margin-bottom: 20px;
}
#album .back-link a {
  color: #262626;
}
#album .back-link.bottom {
  margin-top: 20px;
}

/* endregion */
/* region Contact */
#contact h1 {
  text-align: center;
}
#contact iframe {
  display: block;
  width: 555px;
  margin: 65px auto 0;
  border: none;
}

/* endregion */
/* region Animations */
@-webkit-keyframes animateOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-moz-keyframes animateOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-o-keyframes animateOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes animateOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/* endregion */
